Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.pb.service
Class InvalidPropertyException

    java.lang.Object
      WpsException
          com.ibm.wps.pb.service.PropertyBrokerServiceException
              com.ibm.wps.pb.service.InvalidPropertyException

Deprecated. since 6.0.1 Support of the IBM portlet API may be removed in a future release of WebSphere Portal. Use of the Java Portlet API (javax.portlet) is recommended instead.

    public class InvalidPropertyException

extends PropertyBrokerServiceException

Thrown by public methods in the `com.ibm.wps.pb` package to indicate that a property is invalid, for example missing a required field. Portlets must only catch this exception and not throw it.

Since:
  5.0

Constructor Summary
`InvalidPropertyException(MessageCode code)` Deprecated.
`InvalidPropertyException(MessageCode code, java.lang.Object[] args)` Deprecated.
`InvalidPropertyException(MessageCode code, java.lang.Object[] args, java.lang.Throwable t)` Deprecated.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvalidPropertyException

    public InvalidPropertyException(MessageCode code)

  Deprecated.

### InvalidPropertyException

    public InvalidPropertyException(MessageCode code,
                                    java.lang.Object[] args)

  Deprecated.

### InvalidPropertyException

    public InvalidPropertyException(MessageCode code,
                                    java.lang.Object[] args,
                                    java.lang.Throwable t)

  Deprecated.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD